Summary:	A tool to customize advanced GNOME 3 options
Summary(pl.UTF-8):	Narzędzie do dostosowywania zaawansowanych opcji GNOME 3
Name:		gnome-tweaks
Version:	40.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-tweaks/40/%{name}-%{version}.tar.xz
# Source0-md5:	81b5883a6f0046f1b63cc998829d83e4
URL:		https://wiki.gnome.org/Apps/Tweaks
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.0
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.58
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.58
Requires:	gnome-desktop >= 3.30
Requires:	gnome-settings-daemon
Requires:	gnome-shell >= 3.24
Requires:	gobject-introspection
Requires:	gsettings-desktop-schemas >= 3.34
Requires:	gtk+3 >= 3.12.0
Requires:	hicolor-icon-theme
Requires:	libhandy1 >= 1.0
Requires:	libnotify >= 0.7
Requires:	libsoup >= 2.4
Requires:	mutter
# Pango-1.0.typelib
Requires:	pango >= 1:1.26
Requires:	python-pygobject3 >= 3.10
Requires:	python3 >= 1:3.0
Requires:	sound-theme-freedesktop
Suggests:	nautilus >= 3.26
Obsoletes:	gnome-tweak-tool < 3.27
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tool to customize advanced GNOME 3 options.

%description -l pl.UTF-8
Narzędzie do dostosowywania zaawansowanych opcji GNOME 3.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' gnome-tweaks gnome-tweak-tool-lid-inhibitor

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py3_sitescriptdir}

%ninja_install -C build

%{__mv} $RPM_BUILD_ROOT{%{py3_sitedir},%{py3_sitescriptdir}}/gtweak

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-tweaks
%attr(755,root,root) %{_libexecdir}/gnome-tweak-tool-lid-inhibitor
%{py3_sitescriptdir}/gtweak
%{_datadir}/glib-2.0/schemas/org.gnome.tweaks.gschema.xml
%{_datadir}/gnome-tweaks
%{_datadir}/metainfo/org.gnome.tweaks.appdata.xml
%{_desktopdir}/org.gnome.tweaks.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.tweaks.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.tweaks-symbolic.svg
%changelog
* Mon Apr 05 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-tweaks.git;a=log;h=master

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> e4d36b4
- updated to 40.0

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> e94189c
- release 2 (by relup.sh)

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> 3039513
- this is noarch, but meson is too dumb to install this in a proper place

* Fri Dec 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 367cfc0
- updated to 3.34.1

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 8ed5b9a
- updated dependencies, release 2

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7b424da
- up to 3.34.0, obsolete gnome-tweak-tool

* Thu Jan 24 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 0044a44
- renamed gnome-tweak-tool -> gnome-tweaks
- updated to 3.30.2

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 10cc084
- release 2 (by relup.sh)

* Tue Dec 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 94eab50
- Update to 3.26.4

* Sun Jul 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 9979df5
- updated to 3.24.1

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> d20e95d
- updated to 3.20.1

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 5c2ba27
- Update to 3.20.0

* Tue Nov 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 25664c8
- updated to 3.18.1
- don't hide python interpreter behind /usr/bin/env

* Mon May 11 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 54dabfc
- Update to 3.16.2

* Mon Apr 20 2015 Marcin Banasiak <marcin.banasiak@gmail.com> ab155fb
- Update to 3.16.1

* Tue Mar 31 2015 Łukasz Kieś <kiesiu@pld-linux.org> 96175ff
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6f35d5c
- updated gettext BR

* Sat Dec 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4f3009e
- Update to 3.14.2

* Tue Apr 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 497237b
- updated to 3.12.0

* Sun Nov 24 2013 Marcin Banasiak <marcin.banasiak@gmail.com> d6f3817
- Update to 3.10.1

